Subject: [netconf] [Errata Rejected] RFC8040 (5858)

From: RFC Errata System <[email-masked]>
Date: Tue, 22 Oct 2019 05:25:26 -0700 (PDT)

The following errata report has been rejected for RFC8040,
"RESTCONF Protocol".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5858

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Qin WU <[email-masked]>
Date Reported: 2019-09-11
Rejected by: Ignas Bagdonas (IESG)

Section: 5.3.1,5.3.2

Original Text
-------------
      GET /restconf/data/interfaces/interface=eth1
          ?with-defaults=report-all-tagged HTTP/1.1
      Host: example.com
      Accept: application/yang-data+xml

      GET /restconf/data/interfaces/interface=eth1\
          ?with-defaults=report-all-tagged HTTP/1.1
      Host: example.com
      Accept: application/yang-data+json

Corrected Text
--------------
      GET /restconf/data/ietf-interfaces:interfaces/interface=eth1
          ?with-defaults=report-all-tagged HTTP/1.1
      Host: example.com
      Accept: application/yang-data+xml

      GET /restconf/data/ietf-interfaces:interfaces/interface=eth1\
          ?with-defaults=report-all-tagged HTTP/1.1
      Host: example.com
      Accept: application/yang-data+json

Notes
-----
Based on the rule defined in section 3.5.3 of RFC8040,  the module name ietf-interface followed by a colon character (":") should be prepended to the node name interfaces.
 --VERIFIER NOTES-- 
   Examples in sections 5.3.1 and 5.3.2 are not based on ietf-intrefaces module. 

--------------------------------------
RFC8040 (draft-ietf-netconf-restconf-18)
--------------------------------------
Title               : RESTCONF Protocol
Publication Date    : January 2017
Author(s)           : A. Bierman, M. Bjorklund, K. Watsen
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG